From 87a5035c50d040b44f4287a313af6b9f97c4e1c9 Mon Sep 17 00:00:00 2001
From: Luca Bigliardi <shammash@google.com>
Date: Mon, 10 Aug 2009 17:41:14 +0100
Subject: [PATCH] Ethers hook, compatibility with old lockfile

Remove "-l" option since some ancient systems ship a version of lockfile-progs
not supporting it.

Signed-off-by: Luca Bigliardi <shammash@google.com>
---
 doc/examples/hooks/ethers | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/examples/hooks/ethers b/doc/examples/hooks/ethers
index 8725f0377..387ed7e6f 100755
--- a/doc/examples/hooks/ethers
+++ b/doc/examples/hooks/ethers
@@ -39,7 +39,7 @@ DAEMON_PID_FILE="/var/run/dnsmasq.pid"
 # In order to handle concurrent execution of this lock, we use the $LOCKFILE.
 # LOCKFILE_CREATE and LOCKFILE_REMOVE are the path names for the lockfile-progs
 # programs which we use as helpers.
-LOCKFILE="/var/lock/ganeti_ethers.lock"
+LOCKFILE="/var/lock/ganeti_ethers"
 LOCKFILE_CREATE="/usr/bin/lockfile-create"
 LOCKFILE_REMOVE="/usr/bin/lockfile-remove"
 
@@ -50,8 +50,8 @@ instance=$GANETI_INSTANCE_NAME
 nic_count=$GANETI_INSTANCE_NIC_COUNT
 
 acquire_lockfile() {
-  $LOCKFILE_CREATE -l $LOCKFILE || exit 1
-  trap "$LOCKFILE_REMOVE -l $LOCKFILE" EXIT
+  $LOCKFILE_CREATE $LOCKFILE || exit 1
+  trap "$LOCKFILE_REMOVE $LOCKFILE" EXIT
 }
 
 update_ethers_from_new() {
-- 
GitLab